precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform mediump vec3 offsetParams;  //x == edgeX, y == edgeY, z==distort <-|->
 void main() {
 vec2 offset = vec2(0.0,0.0);

 if (vTexCoord.x>offsetParams.x) {
     offset.x=offsetParams.z;
 } else if  (vTexCoord.x<offsetParams.y){
     offset.x=-offsetParams.z;
 }


 vec4 base = texture2D(u_texture, vTexCoord+offset);
 gl_FragColor = base;
 }