precision mediump float;
#define STRETCH_MAX(x,b) min(1.0,max(0.0,(x)/(b))) //!+0.25 is bad //rgb 1.25..0.75
varying lowp vec4 vColor;
varying vec2 vTexCoord;
uniform sampler2D u_texture;
void main() {
vec4 texColor = texture2D(u_texture, vTexCoord);
lowp  float value = vColor.a+0.25;
 texColor.r = STRETCH_MAX(texColor.r,value);
     texColor.g = STRETCH_MAX(texColor.g,value);
     texColor.b = STRETCH_MAX(texColor.b,value);
gl_FragColor = texColor;
}