precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
  uniform float u_w;
  uniform float u_h;
  uniform int radius;
 //lowp int radius= 5;//@radius;

 //uniform highp vec2  u_SampleOffset;//(0,y) or (x,0) where y = 1/height ; x= 1/width

 

 
 void main() {

         vec2  u_SampleOffset = vec2(u_w,u_h);

         lowp vec3 sum = vec3( 0.0, 0.0, 0.0 );
         mediump vec2 offset = vec2( 0.0, 0.0 );
         highp float rad = float(radius)*2.0 +1.0;
         
         sum = texture2D( u_texture, vTexCoord.xy ).rgb/rad;

         for( int s = 1; s <= radius; s++ ) {
             
            
             sum += texture2D( u_texture, vTexCoord.xy + offset ).rgb/rad;
             
             sum += texture2D( u_texture, vTexCoord.xy - offset ).rgb/rad;
             
             offset += u_SampleOffset;
         }

         gl_FragColor.rgb = sum;
         gl_FragColor.a = 1.0;


 }