precision mediump float;
//saturation

varying lowp vec4 vColor;
varying vec2 vTexCoord;
uniform sampler2D u_texture;
const mediump vec3 h = vec3(0.3, 0.59, 0.11);

void main() {
vec4 texColor = texture2D(u_texture, vTexCoord);
float lum = dot(texColor.rgb, h);
gl_FragColor = vec4(mix(vec3(lum), texColor.rgb, vColor.a*2.),texColor.a);
}