precision mediump float;
//heat, saturation

varying lowp vec4 vColor; //#saturation:0..2
varying vec2 vTexCoord;
uniform sampler2D u_texture;

const mediump vec3 W = vec3(0.3, 0.59, 0.11);

 void main()
 {
     lowp vec4 textureColor = texture2D(u_texture, vTexCoord);

   vec3 tc = /*vec3(1.0,1.0,1.0)-*/textureColor.rgb;
   lowp float lum = dot(tc, W);


    // gl_FragColor = vec4(mix(vColor.rgb*textureColor.rgb,vec3(lum)*vColor.rgb,0.2), vColor.a*textureColor.a); //std tint
     gl_FragColor = vec4(clamp(vColor.rgb*(vec3(1.0,1.0,1.0)-textureColor.rgb) +textureColor.rgb,vec3(0.0),vec3(1.1)), vColor.a*textureColor.a); //ios like

 }