precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 
 uniform mediump vec4 u_Luma;

 void main()
 {
  // vec4 u_Luma = vec4(2.7431195,5.3853216,1.0458716,0.0);
   //vec4 u_Luma = vec4(1.4374999,2.8221152,0.54807687,0.0);
     lowp vec4 base = texture2D(u_texture, vTexCoord);//base
     lowp vec4 c2 = texture2D(paint_texture, vTexCoord);//blur
     lowp vec4 c1=base;
     lowp vec4 ed = vec4(abs(c1.rgb-c2.rgb),0.0);
     ed.a = clamp(dot(ed,u_Luma),0.0,1.0);
     //ed = ed*u_ColorMatrix;
     
     c1 *= ed.a;
     
     lowp vec4 normal = vec4(c2.rgb*(1.0-c1.a) + c1.rgb,c2.a*(1.0-c1.a) + c1.a);

gl_FragColor = normal;
     
 }