precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 uniform sampler2D overlay_texture;
 void main() {
 vec4 base = texture2D(u_texture, vTexCoord);
 vec4 paint = texture2D(paint_texture, vTexCoord);
 vec4 mask = texture2D(overlay_texture, vTexCoord);


 vec4 overlay = vec4(mix(paint.rgb,paint.rgb*mask.rgb,0.5),mask.r);//vec4(paint.rgb*mask.rgb,mask.r);
// vec4 base = vec4(text.rgb*(vec3(1.0)-mask.rgb),1.0);

// gl_FragColor = overlay*vec4(vec3(0.5),1.0);//mix(base,mix(overlay,mask,0.5),0.5);

  gl_FragColor =  vec4( max(overlay.rgb * base.a* overlay.a,base.rgb * overlay.a)+ overlay.rgb * (1.0 - base.a) + base.rgb * (1.0 - overlay.a),1.0);
 }