precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 void main() {
 vec4 base = texture2D(u_texture, vTexCoord);
 vec4 c1 = texture2D(paint_texture, vTexCoord);
lowp float u_Noise = 0.08;

     lowp float rands = clamp(fract(sin(dot(vTexCoord.xy ,vec2(12.9898,78.233))) * 43758.5453),0.0,1.0);

     lowp vec4 c2 = vec4(u_Noise*vec3(rands),1.0);

     c2.rgb = clamp(c1.rgb + c2.rgb - c1.rgb*c2.rgb,0.0,1.0);//screen

     c2.a = clamp(c2.a + c1.a - c2.a*c1.a,0.0,1.0);

     gl_FragColor = c2;//mix(c2,base,u_Fade); //c
 }