precision mediump float;
 varying lowp vec4 vColor;

 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 uniform sampler2D overlay_texture;
 const mediump vec3 h = vec3(0.3, 0.59, 0.11);
 void main() {
    vec4 base = texture2D(u_texture, vTexCoord);
    vec4 mask = texture2D(paint_texture, vTexCoord);
     vec3 lum = vec3(dot(base.rgb,h));
     vec3 newColor = mix(base.rgb,lum,vColor.b); //u_OverrideColor == vColor.r

    float redCurveValue = texture2D(overlay_texture, vec2(newColor.r,0.0)).r;
     float greenCurveValue = texture2D(overlay_texture, vec2(newColor.g,0.0)).g;
     float blueCurveValue = texture2D(overlay_texture, vec2(newColor.b,0.0)).b;
     vec3 v2 = vec3(redCurveValue,greenCurveValue,blueCurveValue);
     vec3 finalColor = mix(base.rgb,v2,vColor.a); //uFade


 /*  vec3 notmasked = base.rgb*(vec3(1)-mask.rgb);
    vec3 masked = finalColor*mask.rgb;*/
    gl_FragColor =vec4(finalColor,base.a);//texture2D(overlay_texture, vTexCoord);//vec4(finalColor,base.a);//vec4(notmasked+masked,base.a);

 }