precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 uniform sampler2D overlay_texture;
 
  uniform vec4 u_Color;
  uniform vec4 u_Color2;
  uniform float u_Brightness;
  uniform float u_Contrast;
 
  const mediump vec3 W = vec3(0.299, 0.587, 0.114);
  
  
 void main() {
 vec4 base = texture2D(u_texture, vTexCoord);
     float lum = dot(base.rgb, W);
     
    lowp vec3 rgb = mix(u_Color.rgb, u_Color2.rgb, lum);
  //   lowp vec3 rgb = mix(vec3(0.44313725,0,0.36470588), vec3(1,0.733333,0.8588235), lum);

     rgb = rgb*u_Brightness*u_Contrast + 0.5*u_Brightness*(1.0-u_Contrast);
     gl_FragColor = vec4(rgb, base.a);//base;//// vec4(1.0,1.0,1.0,1.0);//
 }