precision lowp float;
 
varying highp vec2 v_TexCoordinate;
varying highp vec2 v_TexCoordinate2;
 
uniform sampler2D u_Texture;
uniform sampler2D u_Texture2;
uniform highp float u_Fade;
 


const mediump vec3 W = vec3(0.299, 0.587, 0.114);
const lowp vec4 mid = vec4(vec3(0.5),1.0);
 
void main() {  
	lowp vec4 base = texture2D(u_Texture, v_TexCoordinate);
	lowp vec4 overlay = texture2D(u_Texture2,v_TexCoordinate2);
    overlay *= u_Fade;
    	
   	gl_FragColor = vec4(abs(base.rgb-overlay.rgb),overlay.a + base.a - overlay.a*base.a);
}