precision lowp float;
 
varying highp vec2 v_TexCoordinate;
varying highp vec2 v_TexCoordinate2;
 
uniform sampler2D u_Texture;
uniform sampler2D u_Texture2;
uniform highp float u_Fade;
 

void main() {  
	lowp vec4 base = texture2D(u_Texture, v_TexCoordinate);
	lowp vec4 overlay = texture2D(u_Texture2,v_TexCoordinate2);
    lowp vec3 blend = (overlay.rgb * base.a + base.rgb * overlay.a - 2.0 * overlay.rgb * base.rgb) + overlay.rgb * (1.0 - base.a) + base.rgb * (1.0 - overlay.a);
     
    gl_FragColor = vec4(mix(base.rgb,blend,u_Fade), base.a);
}