precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 uniform sampler2D overlay_texture;
 void main() {
 vec4 base = texture2D(u_texture, vTexCoord);
 vec4 overlay = texture2D(overlay_texture, vTexCoord);

overlay *= vColor.a;
    	
	overlay.rgb = overlay.rgb*base.rgb + overlay.rgb*(1.0-base.a)+base.rgb*(1.0-overlay.a);
     
    overlay.a = overlay.a + base.a - overlay.a*base.a;
     
    gl_FragColor = overlay;
 }