precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 uniform sampler2D overlay_texture;
 void main() {
 vec4 base = texture2D(u_texture, vTexCoord);
 vec4 overlay = texture2D(overlay_texture, vTexCoord);

overlay *= vColor.a;
    	
    gl_FragColor =  vec4(base.rgb*(1.0-overlay.a)+overlay.rgb,
                base.a*(1.0 - overlay.a) + overlay.a);
 }