 varying highp vec2 vTexCoord;
 
 uniform sampler2D u_texture;
 
 uniform highp float u_TexelWidth;
 //uniform highp float texelHeight;
 uniform highp float u_Offset;
 
 void main()
 {
     
     highp vec4 textureColor = texture2D(u_texture, vTexCoord);
     textureColor.r = textureColor.w*texture2D(u_texture, vec2(max(vTexCoord.x-u_Offset*u_TexelWidth,0.0),vTexCoord.y)).r;
     
     gl_FragColor = vec4(textureColor.rgb,textureColor.w);
     
 }