precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 const mediump vec3 h = vec3(0.3, 0.59, 0.11);
  uniform float u_w;
  uniform float u_h;
 void main() {
    vec4 base = texture2D(u_texture, vTexCoord);
    vec4 mask = texture2D(paint_texture, vTexCoord);

    vec3 notmasked = base.rgb*(vec3(1)-mask.rgb);
    vec3 masked = base.rgb*mask.rgb;

    lowp float lum = dot(base.rgb, h);

    vec3 fade_color = /*vColor.rgb**/mix(vec3(lum),vColor.rgb,0.5);

  //  gl_FragColor =vec4(notmasked+mix(masked,mask.rgb*fade_color,vColor.a),1);
    gl_FragColor =vec4(mix(vec3(lum),vColor.rgb,vColor.a),1);
 }