precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 const mediump vec3 h = vec3(0.3, 0.59, 0.11);
  uniform float u_w;
  uniform float u_h;
 void main() {
    vec4 base = texture2D(u_texture, vTexCoord);
    /* highp float p =u_w;//0.0004;//0.0003063;//0.0004;
        highp float py =u_h;//0.000825;//0.000625;//0.0004085;//0.000625;

        float mask0 = texture2D(paint_texture, vTexCoord).x;
        float mask1 = texture2D(paint_texture, vTexCoord-vec2(p,py)).x;
        float mask2 = texture2D(paint_texture, vTexCoord-vec2(p*2.0,py*2.0)).x;
        float mask3 = texture2D(paint_texture, vTexCoord-vec2(p*3.0,py*3.0)).x;
        float mask4 = texture2D(paint_texture, vTexCoord-vec2(p*4.0,py*4.0)).x;
        float mask5 = texture2D(paint_texture, vTexCoord-vec2(p*5.0,py*5.0)).x;

        float mask11 = ((mix(mask0,mask1,0.5)));
        float mask22 = ((mix(mask0,mask2,0.5)));
        float mask111 = ((mix(mask1,mask2,0.5)));
        float mask222 = ((mix(mask1,mask3,0.5)));


      float mask1111 = ((mix(mask3,mask4,0.5)));
        float mask2222 = ((mix(mask3,mask5,0.5)));

         float mask111a = ((mix(mask11,mask22,0.5)));
         float mask222a = ((mix(mask111,mask222,0.5)));

         float mask333a = ((mix(mask1111,mask2222,0.5)));

         float mask11a = ((mix(mask111a,mask222a,0.5)));
         float mask11a2 = ((mix(mask11a,mask333a,0.5)));

        vec4 mask =vec4(mask11a2,mask11a2,mask11a2,1.0);*/
         vec4 mask =vec4(texture2D(paint_texture, vTexCoord).x);

    vec3 notmasked = base.rgb*(vec3(1)-mask.rgb);
    vec3 masked = base.rgb*mask.rgb;
        float luminance = dot(base.rgb, h);

        vec4 desat = vec4(vec3(luminance), 1.0);

        //overlay
        vec4 outputColor = vec4(
                                (desat.r < 0.5 ? (2.0 * desat.r * vColor.r) : (1.0 - 2.0 * (1.0 - desat.r) * (1.0 - vColor.r))),
                                (desat.g < 0.5 ? (2.0 * desat.g * vColor.g) : (1.0 - 2.0 * (1.0 - desat.g) * (1.0 - vColor.g))),
                                (desat.b < 0.5 ? (2.0 * desat.b * vColor.b) : (1.0 - 2.0 * (1.0 - desat.b) * (1.0 - vColor.b))),
                                1.0
                                );

        //which is better, or are they equal?
        //gl_FragColor = vec4( mix(base.rgb, outputColor.rgb, vColor.a), base.a);
         gl_FragColor = vec4(notmasked+mix(masked.rgb,mask.rgb*outputColor.rgb.rgb,vColor.a),1);

       /*   vec3 notmasked = base.rgb*(vec3(1)-mask.rgb);
                 vec3 masked = base.rgb*mask.rgb;


                 gl_FragColor = vec4(notmasked+mix(masked.rgb,mask.rgb*outputColor.rgb.rgb,vColor.a),1);*/
 }