precision mediump float;
#define stretch(a,b,color) min(1.0,max(0.0,(((color) - (a)) / ((b) - (a)))))
varying lowp vec4 vColor;
uniform lowp vec4 vColorH;
varying vec2 vTexCoord;
uniform sampler2D u_texture;
void main() {
vec4 texColor = texture2D(u_texture, vTexCoord);
     texColor.r = stretch(vColor.r,vColorH.r,texColor.r);
     texColor.g = stretch(vColor.g,vColorH.g,texColor.g);
     texColor.b = stretch(vColor.b,vColorH.b,texColor.b);

     gl_FragColor = texColor;
}