precision mediump float;
//heat, saturation

varying lowp vec4 vColor; //#saturation:0..2
varying vec2 vTexCoord;
uniform sampler2D u_texture;
 const mediump vec3 h = vec3(0.425, 1.4308, 0.1442);
void main() {
vec4 texColor = texture2D(u_texture, vTexCoord);
 highp vec3 Hcolored = vec3(h.r*vColor.r,h.g*vColor.g,h.b*vColor.b);
lowp float lum = dot(texColor.rgb, Hcolored);
//highp vec3 colored = vec3(vColor.r*texColor.r,vColor.g*texColor.g,vColor.b*texColor.b); //*2
highp vec3 colored = vec3(vColor.r*texColor.r*2.0,vColor.g*texColor.g*2.0,vColor.b*texColor.b*2.0); //*2
lowp vec3 newColor = mix(vec3(lum), colored, vColor.w*2.0+0.5); //*2
//lowp vec3 newColor = mix(vec3(lum), colored, vColor.w); //*2
gl_FragColor = vec4(newColor,texColor.a);
}