precision mediump float;
#define STRETCH_MIN(x,a) min( 1.0, max( 0.0,((x)-(a))/(1.0-(a)) ) )
varying lowp vec4 vColor; //0.2..-0.2
varying vec2 vTexCoord;
uniform sampler2D u_texture;
void main() {
vec4 texColor = texture2D(u_texture, vTexCoord);
float value = vColor.a-0.2;
 texColor.r = STRETCH_MIN(texColor.r,value);
     texColor.g = STRETCH_MIN(texColor.g,value);
     texColor.b = STRETCH_MIN(texColor.b,value);
gl_FragColor = texColor;
}