precision highp float;
 varying highp vec4 vColor;
 varying highp vec2 vTexCoord;
 uniform sampler2D u_texture;


  varying  highp vec2 v_LeftTexCoordinate;
  varying  highp vec2 v_RightTexCoordinate;
  varying  highp vec2 v_TopTexCoordinate;
  varying  highp vec2 v_BottomTexCoordinate;

  varying  highp float v_CenterMultiplier;
  varying  highp float v_EdgeMultiplier;

 void main() {
   mediump vec3 textureColor = texture2D(u_texture, vTexCoord).rgb;
     mediump vec3 leftTextureColor = texture2D(u_texture, v_LeftTexCoordinate).rgb;
      mediump vec3 rightTextureColor = texture2D(u_texture, v_RightTexCoordinate).rgb;
      mediump vec3 topTextureColor = texture2D(u_texture, v_TopTexCoordinate).rgb;
      mediump  vec3 bottomTextureColor = texture2D(u_texture, v_BottomTexCoordinate).rgb;

     gl_FragColor = vec4((textureColor * v_CenterMultiplier - (leftTextureColor * v_EdgeMultiplier + rightTextureColor * v_EdgeMultiplier + topTextureColor * v_EdgeMultiplier + bottomTextureColor * v_EdgeMultiplier)), texture2D(u_texture, v_BottomTexCoordinate).w);

 }