precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 uniform sampler2D overlay_texture;
 void main() {
 vec4 base = texture2D(u_texture, vTexCoord);
 vec4 overlay = texture2D(overlay_texture, vTexCoord);

	overlay.rgb = max(overlay.rgb * base.a,base.rgb * overlay.a)
	 + overlay.rgb * (1.0 - base.a) + base.rgb * (1.0 - overlay.a);
	gl_FragColor = vec4(mix(base.rgb,overlay.rgb,vColor.a) ,base.a);
 }