precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 uniform sampler2D overlay_texture;
 void main() {
 vec4 base = texture2D(u_texture, vTexCoord);
 vec4 overlay = texture2D(overlay_texture, vTexCoord);

   overlay.rgb = overlay.rgb*overlay.a;
     
    lowp vec4 blend = base * (overlay.a * (base / base.a) + (2.0 * overlay * (1.0 - (base / base.a)))) + overlay * (1.0 - base.a) + base * (1.0 - overlay.a);
     
    gl_FragColor = vec4(mix(base.rgb,blend.rgb,vColor.a), base.a);
 }