precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 uniform sampler2D overlay_texture;

 uniform lowp vec4 u_Distortion;
 void main() {
 vec4 base = texture2D(u_texture, vTexCoord);
 vec2 distCoords = vec2((vTexCoord.x-u_Distortion.x)/u_Distortion.z+0.5,(vTexCoord.y - u_Distortion.y)/u_Distortion.w+0.5);
 vec4 overlay = texture2D(overlay_texture, distCoords);



overlay *= vColor.a;
vec4 result = vec4(base.rgb*(1.0-overlay.a)+overlay.rgb,base.a*(1.0 - overlay.a) + overlay.a);
if (distCoords.x>1.0 || distCoords.y>1.0 || distCoords.x<0.0 || distCoords.y<0.0)  result = base;
    	
    gl_FragColor =  result;
 }