precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 uniform sampler2D overlay_texture;
 const mediump vec3 h = vec3(0.3, 0.59, 0.11);
  uniform float u_w;
  uniform float u_h;
 void main() {
    vec4 base = texture2D(u_texture, vTexCoord);
    vec4 mask = texture2D(paint_texture, vTexCoord);

       highp float lum = dot(base.rgb,h);

       lowp vec3 finalColor = texture2D(overlay_texture, vec2(lum, 0.0)).rgb;


  vec3 notmasked = base.rgb*(vec3(1)-mask.rgb);
         vec3 masked = base.rgb*mask.rgb;
vec4 result = vec4(clamp(finalColor,0.0,1.0),vColor.a);//);

         gl_FragColor = vec4(notmasked+mix(masked,mask.rgb*result.rgb,vColor.a),1);




  //vec4(notmasked+masked,base.a);
    //gl_FragColor = vec4(finalColor, base.a);//vec4(array[0],array[0],array[0],1.0);//

  /*       vec3 notmasked = base.rgb*(vec3(1)-mask.rgb);
         vec3 masked = base.rgb*mask.rgb;

         gl_FragColor = vec4(notmasked+mix(masked,mask.rgb*vColor.rgb,vColor.a),base.a);*/
 }