precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 uniform sampler2D overlay_texture;
 void main() {
 vec4 base = texture2D(u_texture, vTexCoord);
 vec4 mask = texture2D(paint_texture, vTexCoord);
 vec4 overlay = texture2D(overlay_texture, vTexCoord);
	//gl_FragColor = mask*mix(overlay,  base,vColor.a)+vec4(1.0-mask.rgb,1.0)*base;
	//lowp float power = mask.r*vColor.a;
	//overlay = vec4(dot(overlay.rgb,mask.rgb),1.0);
	// mix(base,overlay,power);


          vec4 edge = vec4((base.rgb - overlay.rgb), base.a);//u_Contrast  0.4

          vec4 edge2 = vec4((overlay.rgb - base.rgb), base.a);

          vec4 result = vec4((base.rgb + edge.rgb), base.a);
         result = vec4((result.rgb - edge2.rgb), base.a);


           vec3 notmasked = base.rgb*(vec3(1.0)-mask.rgb);
                  vec3 masked = base.rgb*mask.rgb;

         gl_FragColor = vec4(notmasked+mix(masked.rgb,mask.rgb*result.rgb.rgb,vColor.a),1);
 }