precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;
 const mediump vec3 h = vec3(0.3, 0.59, 0.11);
  uniform float u_w;
  uniform float u_h;
 void main() {
    vec4 base = texture2D(u_texture, vTexCoord);
    vec4 mask = texture2D(paint_texture, vTexCoord);

    float lum = dot(base.rgb, h);

    vec3 notmasked = base.rgb*(1.0-mask.r);
    vec3 mskedC = vec3(lum*(1.0-0.7*base.r))*mask.r;

    gl_FragColor =vec4(notmasked+mskedC,1);//mix(masked,mask.rgb*vColor.rgb,base.a),1);
   // gl_FragColor = vec4(mix(base.rgb,lum*(1.0-0.7*base.r)*mask.r,base.r-lum),1.0);
 }