precision mediump float;
 varying lowp vec4 vColor;
 varying vec2 vTexCoord;
 uniform sampler2D u_texture;
 uniform sampler2D paint_texture;

 const vec4 u_Color_A = vec4(0.0,0.0,0.0,1.0);
  const  vec4 u_Color_R2 = vec4(1.25,-0.25,0.0,0.0);
  const  vec4 u_Color_G2 = vec4(-0.25,1.25,0.0,0.0);
  const  vec4 u_Color_B2 = vec4(0.25,0.25,1.0,0.0);
    const   vec4 u_Color = vec4(0.078431375,0.078431375,0.078431375,0.0);
    const  vec4 u_Color_R = vec4(0.6543,0.3047,0.041,0.0);
    const  vec4 u_Color_G = vec4(0.1543,0.8047,0.041,0.0);
    const  vec4 u_Color_B = vec4(0.1543,0.3047,0.541,0.0);
     uniform float u_w;
     uniform float u_h;

 void main() {
 vec4 base = texture2D(u_texture, vTexCoord);
/* highp float p =u_w;//0.0004;//0.0003063;//0.0004;
    highp float py =u_h;//0.000825;//0.000625;//0.0004085;//0.000625;

    float mask0 = texture2D(paint_texture, vTexCoord).x;
    float mask1 = texture2D(paint_texture, vTexCoord-vec2(p,py)).x;
    float mask2 = texture2D(paint_texture, vTexCoord-vec2(p*2.0,py*2.0)).x;
    float mask3 = texture2D(paint_texture, vTexCoord-vec2(p*3.0,py*3.0)).x;
    float mask4 = texture2D(paint_texture, vTexCoord-vec2(p*4.0,py*4.0)).x;
    float mask5 = texture2D(paint_texture, vTexCoord-vec2(p*5.0,py*5.0)).x;

    float mask11 = ((mix(mask0,mask1,0.5)));
    float mask22 = ((mix(mask0,mask2,0.5)));
    float mask111 = ((mix(mask1,mask2,0.5)));
    float mask222 = ((mix(mask1,mask3,0.5)));


  float mask1111 = ((mix(mask3,mask4,0.5)));
    float mask2222 = ((mix(mask3,mask5,0.5)));

     float mask111a = ((mix(mask11,mask22,0.5)));
     float mask222a = ((mix(mask111,mask222,0.5)));

     float mask333a = ((mix(mask1111,mask2222,0.5)));

     float mask11a = ((mix(mask111a,mask222a,0.5)));
     float mask11a2 = ((mix(mask11a,mask333a,0.5)));

    vec4 mask =vec4(mask11a2,mask11a2,mask11a2,1.0);*/
     vec4 mask =vec4(texture2D(paint_texture, vTexCoord).x);

          highp float r2 = dot(base,u_Color_R2) ;
          highp float g2 = dot(base,u_Color_G2) ;
          highp float b2 = dot(base,u_Color_B2) ;
          highp float a2 = dot(base,u_Color_A) ;

          vec4 base2 = vec4(r2,g2,b2,a2);
     highp float r = dot(base2,u_Color_R) + u_Color[0];
     highp float g = dot(base2,u_Color_G) + u_Color[1];
     highp float b = dot(base2,u_Color_B) + u_Color[2];
     highp float a = dot(base2,u_Color_A) + u_Color[3];



 vec4 notmasked = base*(vec4(1)-mask);
    vec4 masked = base*mask;

    gl_FragColor =notmasked+mix(masked,mask*vec4(r,g,b,a),vColor.a); //gl_FragColor = mix(base,vec4(r,g,b,a),vColor.a);
 }