 varying highp vec2 v_TexCoordinate;
 uniform sampler2D u_Texture;
 varying highp vec2 v_TexCoordinate2;
 uniform sampler2D u_Texture2;
 
 uniform lowp float u_Noise;
 
 uniform highp float u_Fade;
 
 void main()
 {
     lowp vec4 base = texture2D(u_Texture, v_TexCoordinate);
     lowp vec4 c1 = texture2D(u_Texture2, v_TexCoordinate2);
     
     lowp float rands = clamp(fract(sin(dot(v_TexCoordinate2.xy ,vec2(12.9898,78.233))) * 43758.5453),0.0,1.0);
     
     lowp vec4 c2 = vec4(u_Noise*vec3(rands),1.0);
     
     c2.rgb = clamp(c1.rgb + c2.rgb - c1.rgb*c2.rgb,0.0,1.0);//screen
     
     c2.a = clamp(c2.a + c1.a - c2.a*c1.a,0.0,1.0);
     
     gl_FragColor = mix(c2,base,u_Fade); //c
     
 }